Subject: Re: [PATCH 08/16] test-lib functions: add --printf option to test_commit

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Apr 2021 11:37:15 -0700

Eric Sunshine <[email-masked]> writes:

> On Thu, Apr 15, 2021 at 7:33 AM Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
>> On Tue, Apr 13 2021, Junio C Hamano wrote:
>> > Eric Sunshine <[email-masked]> writes:
>> >> I don't care for `--raw` either but couldn't think of anything better
>> >> at the time. But perhaps a name such as `--allow-escapes` would be
>> >> clearer, or perhaps not. `--c-style-escapes`?
>> >
>> > It's printf(1) style escapes ;-)
>> >
>> So, the conclusion of this thread is let's keep it as --printf?
>
> It was bikeshedding on my part, so I don't feel strongly. As
> mentioned, I only brought it up because my first thought was to wonder
> how interpolation would work. One might suggest --printf-escapes or
> --string-escapes but the audience for this is so narrow (Git
> developers) that the short and concise --printf is probably
> preferable.

After seeing you raised the issue, I wish we had a better option
name than --printf to be even more clear, but the wish is not strong
enough to make me say "let's stop until we come up with the perfect
name".  I am OK with --printf

Thanks.